#!/usr/bin/env python3

import os, requests, time, ctypes

# Prepare the folders
originalFolder = input('Enter path of the folder to crop:   ')
croppedFolder = input('Enter path of the destination folder:   ')

if not os.path.exists(croppedFolder):
	os.makedirs(croppedFolder)

# This is the URL
params = input('Enter the URL parameters after image.jpg:   ')
url = 'https://croppola.com/croppola/image.jpg' + params
count = 0
skip = 0
total = len(os.listdir(originalFolder))
pct = 0

# Process all pictures
for pictureFile in os.listdir(originalFolder):
	count += 1
	pct = round((count / total) * 100, 1)
	if pictureFile.endswith('jpg') or pictureFile.endswith('jpeg') or pictureFile.endswith('bmp') or pictureFile.endswith('png') or pictureFile.endswith('gif'):
		if not os.path.isfile(croppedFolder + '/' + pictureFile):
			print(originalFolder + '/' + pictureFile)

			# Update the window title (disable this line if you are not on Windows)
			ctypes.windll.kernel32.SetConsoleTitleW(originalFolder + f' {count}/{total} ({pct}%)  {skip} skipped')

			# Upload
			data = open(originalFolder + '/' + pictureFile, 'rb')
			res = requests.post(url, data=data, headers={'User-Agent': 'py'})
			data.close();

			# Check the response
			if res.status_code == 200:
				f = open(croppedFolder + '/' + pictureFile, 'wb')
				f.write(res.content)
				time.sleep(5)	# let other people crop
			else:
				print('Error ' + str(res.status_code) + '!')
				x = input('Press Enter to continue or type "exit" to close...')
				if x == 'exit':
					break

		else:
			skip += 1
